WordPress.org

Ready to get started?Download WordPress

Forums

WP 1.2 Site hacked? (14 posts)

  1. andrewhall
    Member
    Posted 8 years ago #

    My WP 1.2 site is suddenly down.

    http://www.andrew-hall-artist.com/journal/

    Yes I know it is 1.2 but it has various mods that I did not have the time to convert over to 1.5.

    My host is suggesting it has been hacked or someone has captured the username / pass. I have never had my user/pass captured before and I don't see how or why this should be the case this time but you never know. I have checked the database and it seems ok, at least the posts look to be there still.

    So, are 1.2 sites vulnerable / being hacked. And any suggestions for what might be happening / solutions?

    best wishes

    Andrew

  2. tedfox
    Member
    Posted 8 years ago #

    There have been a fair bit of security releases since 1.2 (not many. but there have been some). Any of them could have been exploited to hack your site

  3. I wouldn't be surprised. There are probably many security holes in such an old version.

    Solution: take the time to upgrade.

  4. andrewhall
    Member
    Posted 8 years ago #


  5. andrewhall
    Member
    Posted 8 years ago #

    Is there such a thing as a secure version of 1.2?

    If (NO) is it easy to upgrade a site to 1.52 from 1.2.

    Andrew

  6. Is there such a thing as a secure version of 1.2?

    No, there is no such thing as a secure version of 1.2.

    Is it easy to upgrade a site to 1.52 from 1.2?

    Yes, http://codex.wordpress.org/Upgrade_1.2_to_1.5

  7. andrewhall
    Member
    Posted 8 years ago #

    hmmm this is not looking all that good:

    Database backup failed : mysqldump failed :

    /usr/local/bin/mysqldump: Can't get CREATE TABLE for table 'wp_users' (Can't open file: 'wp_users.MYD'. (errno: 144))

    Database backup failed : mysqldump failed :

    /usr/local/bin/mysqldump: Can't get CREATE TABLE for table 'wp_post2cat' (Can't open file: 'wp_post2cat.MYD'. (errno: 144))

    Any suggestions? I am not a systems techie, just a plain old user, though I do know some php and some mysql

    Andrew

  8. Try repairing the tables. If that doesn't work, contact your host. The files that are storing the database table contents are either missing or corrupted.

  9. Mark (podz)
    Support Maven
    Posted 8 years ago #

    What vulnerabilities does 1.2.2 have ?
    I know of none and I have a 1.2.2 site myself and look after a few others with no problems at all.

  10. Well, I believe that the former register_globals() issue affects all pre-1.5.2 WordPress blogs.

  11. andrewhall
    Member
    Posted 8 years ago #

    Progress report (totally inconclusive), when I got up this morning the site was back up, though the index page was the default (mine was extensively modded). The main tech support guy at my hosting says it wasn't him but it might have been someone else on another shift - otherwise the hacker put it back up.

    I'm interested in the 'repair the tables' comment. How does one do that for wp_users and wp_post2.

    Andrew

  12. agm1960
    Member
    Posted 7 years ago #

    For this: "/usr/local/bin/mysqldump: Can't get CREATE TABLE for table 'wp_post2cat' (Can't open file: 'wp_post2cat.MYD'. (errno: 144))"

    Try the command: mysqldump --databases wordpress >dump.txt

    It worked for me when I encountered the same problem.

  13. whooami
    Member
    Posted 7 years ago #

    you replied to a year old topic, do you know that?

  14. agm1960
    Member
    Posted 7 years ago #

    Pointing out the obvious is clearly a skill I'll have to work upon. Indeed it is an old topic, but as it failed for me today and I found the fix, I thought it was worth passing on in case anybody else has a similar mysql problem. Its not only WordPress that could be affected.

    Anyway, the spirit of completeness and sharing knowledge led me to post, as nobody else appeared to have solved the problem. I managed to Google successfully for this error so hopefully next time, I'll get the fix. My version of WordPress was 1.5.2 by the way.....

Topic Closed

This topic has been closed to new replies.

About this Topic